> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/lifecycle-manager/get-resource-instance-http/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Get resource instance GET https://example.itential.io/lifecycle-manager/resources/{modelId}/instances/{instanceId} Returns the resource instance. Reference: https://docs.itential.com/itential-cloud/api-reference/lifecycle-manager/get-resource-instance-http ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `modelId` (string, required) — modelId - `instanceId` (string, required) — The identifier of the resource instance ### Query parameters - `skip` (string, optional) — This parameter specifies where to start the returned page of search results. - `limit` (string, optional) — This parameter specifies how many items to return in the search results. - `sort` (string, optional) — This parameter specifies the field to sort the search results over. - `order` (enum, optional) — This parameter specifies the direction to sort the search results over. - Allowed values: `asc`, `desc` - `equals` (object, optional) — equals - `modelName` (string, optional) — The name of the resource model - `stateName` (string, optional) — The name of the current state of the resource instance - `_id` (any, optional) - `name` (string, optional) — The name of the resource instance - `modelId` (any, optional) - `created` (any, optional) — An ISO date string denoting when this resource instance was created - `createdBy` (any, optional) - `lastUpdated` (any, optional) — An ISO date string denoting when this resource instance was last updated - `lastUpdatedBy` (any, optional) - `instanceData` (map from string to any, optional) — Custom data associated with the resource instance, stored as a nested object. To filter on a specific value inside it, use dot notation as the property name with equals, in, or starts-with. For example, use instanceData.region. Property names beginning with '$' are not supported. - `lastAction` (map from string to any, optional) — Details about the most recently executed action on the resource instance, stored as a nested object. To filter on a specific value inside it, use dot notation as the property name with equals, in, or starts-with. For example, use lastAction.status. Property names beginning with '$' are not supported. - `in` (object, optional) — in - `lastAction` (object, optional) — Details about the most recently executed action on the resource instance, stored as a nested object. To filter on a specific value inside it, use dot notation as the property name with equals, in, or starts-with. For example, use lastAction.status. Property names beginning with '$' are not supported. - `type` (list of enum, optional) - Allowed values: `import`, `create`, `update`, `delete` - `instanceData` (map from string to any, optional) — Custom data associated with the resource instance, stored as a nested object. To filter on a specific value inside it, use dot notation as the property name with equals, in, or starts-with. For example, use instanceData.region. Property names beginning with '$' are not supported. - `include-deleted` (enum, optional, default: false) — include-deleted - Allowed values: `true`, `false` - `starts-with` (object, optional) — starts-with - `name` (string, optional) — The name of the resource instance - `instanceData` (map from string to any, optional) — Custom data associated with the resource instance, stored as a nested object. To filter on a specific value inside it, use dot notation as the property name with equals, in, or starts-with. For example, use instanceData.region. Property names beginning with '$' are not supported. - `lastAction` (map from string to any, optional) — Details about the most recently executed action on the resource instance, stored as a nested object. To filter on a specific value inside it, use dot notation as the property name with equals, in, or starts-with. For example, use lastAction.status. Property names beginning with '$' are not supported. - `group` (string, optional) — An ID or name of an instance group to filter by - `instanceGroups` (enum, optional, default: false) — instanceGroups - Allowed values: `true`, `false` - `lt` (object, optional) — lt - `created` (any, optional) — An ISO date string denoting when this resource instance was created - `lastUpdated` (any, optional) — An ISO date string denoting when this resource instance was last updated - `lte` (object, optional) — lte - `created` (any, optional) — An ISO date string denoting when this resource instance was created - `lastUpdated` (any, optional) — An ISO date string denoting when this resource instance was last updated - `gt` (object, optional) — gt - `created` (any, optional) — An ISO date string denoting when this resource instance was created - `lastUpdated` (any, optional) — An ISO date string denoting when this resource instance was last updated - `gte` (object, optional) — gte - `created` (any, optional) — An ISO date string denoting when this resource instance was created - `lastUpdated` (any, optional) — An ISO date string denoting when this resource instance was last updated - `include` (list of enum, optional) — include - Allowed values: `_id`, `name`, `description`, `modelId`, `instanceData`, `lastAction`, `created`, `createdBy`, `lastUpdated`, `lastUpdatedBy` - `exclude` (list of enum, optional) — exclude - Allowed values: `_id`, `name`, `description`, `modelId`, `instanceData`, `lastAction`, `created`, `createdBy`, `lastUpdated`, `lastUpdatedBy` - `dereference` (any, optional) — Comma-separated list of foreign key field types to dereference ## Response ### 200 response - `data` (object, optional) - `_id` (any, required) - `name` (string, required) — The name of the resource instance - `description` (string, required, default: ) — Free-form text describing the resource instance - `modelId` (any, required) - `instanceData` (object, required, nullable) — The data for the resource instance - `lastAction` (object, required) — The last action that was run on this instance - `_id` (any, required) — The identifier of an action - `executionId` (any, required) - `name` (string, required) — The name of the action - `type` (enum, required) — The type of the action - Allowed values: `import`, `create`, `update`, `delete` - `status` (enum, required) — A single string describing the current activity status of this action - Allowed values: `running`, `error`, `complete`, `canceled`, `paused` - `created` (any, required) — An ISO date string denoting when this resource instance was created - `createdBy` (any, required) — The account identifier of the user who created this resource instance - `lastUpdated` (any, required) — An ISO date string denoting when this resource instance was last updated - `lastUpdatedBy` (any, required) — The account identifier of the user who last updated this resource instance - `instanceGroups` (list of object, optional) — The groups that this resource instance is a member of - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId. - `name` (string, optional) — The name of the document ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "data": { "name": "VLAN Service", "description": "EC2 Instance in US-EAST-1 with ID ec2-12345678", "instanceData": {}, "lastAction": { "_id": null, "name": "Create", "type": "import", "status": "running" }, "created": null, "createdBy": null, "lastUpdated": null, "lastUpdatedBy": null, "instanceGroups": [ { "_id": "string", "name": "myCoolDocumentName" } ] }, "message": "Successfully created the requested item", "metadata": {} } ``` **SDK Code** ```python import requests url = "https://example.itential.io/lifecycle-manager/resources/modelId/instances/instanceId" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/lifecycle-manager/resources/modelId/instances/instanceId'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/lifecycle-manager/resources/modelId/instances/instanceId" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/lifecycle-manager/resources/modelId/instances/instanceId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/lifecycle-manager/resources/modelId/instances/instanceId") .asString(); ``` ```php request('GET', 'https://example.itential.io/lifecycle-manager/resources/modelId/instances/instanceId'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/lifecycle-manager/resources/modelId/instances/instanceId"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/lifecycle-manager/resources/modelId/instances/instanceId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```